package com.ff.base.enums;


import lombok.Getter;

/**
 * 域状态
 *
 * @author shi
 * @date 2025/01/02
 */
@Getter
public enum DomainStatus {
    PENDING_VERIFICATION(1, "待验证"),
    NORMAL(2, "正常"),
    EXPIRED(3, "已过期"),
    PENDING_RECOVERY(4, "待找回");


    private final int value;
    private final String description;

    DomainStatus(int value, String description) {
        this.value = value;
        this.description = description;
    }
}